Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.resource
Interface MessagingSpecifier

All Superinterfaces:
  Cloneable, MetaDataObject, ResourceServiceSpecifier, ResourceSpecifier, Serializable, XMLizable

All Known Subinterfaces:
  JMSMessagingSpecifier, MailMessagingSpecifier, MQMessagingSpecifier

    public interface MessagingSpecifier

extends ResourceServiceSpecifier

To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

Method Summary
`String` | `getHostAddress()` Returns the hostAddress.
`String` | `getHostMessagingServer()` Returns the hostMessagingServer.
`String` | `getHostPassword()` Returns the hostPassword.
`String` | `getHostUser()` Returns the hostUser.
`String` | `getMessagingType()` Returns the messagingType.
`String` | `getTargetAddress()` Returns the targetAddress.
`String` | `getTargetMessagingServer()` Returns the targetMessagingServer.
`String` | `getTargetPassword()` Returns the targetPassword.
`String` | `getTargetUser()` Returns the targetUser.
`Integer` | `getTimeout()` Gets the timeout period in milliseconds.
`void` | `setHostAddress(String hostAddress)` Sets the hostAddress.
`void` | `setHostMessagingServer(String hostMessagingServer)` Sets the hostMessagingServer.
`void` | `setHostPassword(String hostPassword)` Sets the hostPassword.
`void` | `setHostUser(String hostUser)` Sets the hostUser.
`void` | `setMessagingType(String messagingType)` Sets the messagingType.
`void` | `setTargetAddress(String targetAddress)` Sets the targetAddress.
`void` | `setTargetMessagingServer(String targetMessagingServer)` Sets the targetMessagingServer.
`void` | `setTargetPassword(String targetPassword)` Sets the targetPassword.
`void` | `setTargetUser(String targetUser)` Sets the targetUser.
`void` | `setTimeout(Integer aTimeout)` Sets the timeout period in milliseconds.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getHostAddress

    String getHostAddress()

  Returns the hostAddress.

  Returns:
    String

### getHostMessagingServer

    String getHostMessagingServer()

  Returns the hostMessagingServer.

  Returns:
    String

### getHostPassword

    String getHostPassword()

  Returns the hostPassword.

  Returns:
    String

### getHostUser

    String getHostUser()

  Returns the hostUser.

  Returns:
    String

### getMessagingType

    String getMessagingType()

  Returns the messagingType.

  Returns:
    String

### getTargetAddress

    String getTargetAddress()

  Returns the targetAddress.

  Returns:
    String

### getTargetMessagingServer

    String getTargetMessagingServer()

  Returns the targetMessagingServer.

  Returns:
    String

### getTargetPassword

    String getTargetPassword()

  Returns the targetPassword.

  Returns:
    String

### getTargetUser

    String getTargetUser()

  Returns the targetUser.

  Returns:
    String

### setHostAddress

    void setHostAddress(String hostAddress)

  Sets the hostAddress.

  Parameters:
    `hostAddress` - The hostAddress to set

### setHostMessagingServer

    void setHostMessagingServer(String hostMessagingServer)

  Sets the hostMessagingServer.

  Parameters:
    `hostMessagingServer` - The hostMessagingServer to set

### setHostPassword

    void setHostPassword(String hostPassword)

  Sets the hostPassword.

  Parameters:
    `hostPassword` - The hostPassword to set

### setHostUser

    void setHostUser(String hostUser)

  Sets the hostUser.

  Parameters:
    `hostUser` - The hostUser to set

### setMessagingType

    void setMessagingType(String messagingType)

  Sets the messagingType.

  Parameters:
    `messagingType` - The messagingType to set

### setTargetAddress

    void setTargetAddress(String targetAddress)

  Sets the targetAddress.

  Parameters:
    `targetAddress` - The targetAddress to set

### setTargetMessagingServer

    void setTargetMessagingServer(String targetMessagingServer)

  Sets the targetMessagingServer.

  Parameters:
    `targetMessagingServer` - The targetMessagingServer to set

### setTargetPassword

    void setTargetPassword(String targetPassword)

  Sets the targetPassword.

  Parameters:
    `targetPassword` - The targetPassword to set

### setTargetUser

    void setTargetUser(String targetUser)

  Sets the targetUser.

  Parameters:
    `targetUser` - The targetUser to set

### getTimeout

    Integer getTimeout()

  Gets the timeout period in milliseconds. If a call takes longer than this amount of time, an exception will be thrown.

  Returns:
    the timeout period in milliseconds. A null value indicates that the transport layer's default value will be used.

### setTimeout

    void setTimeout(Integer aTimeout)

  Sets the timeout period in milliseconds. If a call takes longer than this amount of time, an exception will be thrown.

  Parameters:
    `aTimeout` - the timeout period in milliseconds. A null value indicates that the transport layer's default value will be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.